Bug 66349 - [PATCH] net/javadc: fix build on bento [requires bsd.java.mk patch]
Summary: [PATCH] net/javadc: fix build on bento [requires bsd.java.mk patch]
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: java (show other bugs)
Version: 5.2.1-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-05-07 08:30 UTC by Hervé Quiroz
Modified: 2004-06-09 19:20 UTC (History)
1 user (show)

See Also:


Attachments
javadc-0.20.patch (921 bytes, patch)
2004-05-07 08:30 UTC, Hervé Quiroz
no flags Details | Diff
file.diff (3.08 KB, patch)
2004-05-07 08:30 UTC, Hervé Quiroz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hervé Quiroz 2004-05-07 08:30:29 UTC
- Now bsd.java.mk 2.0 compliant
- Enforce USE_JIKES=no as jikes won't let import statements contain no package
  name
- Enforce JAVA_VERSION=1.3 as JDK 1.4 won't let import statements contain no
  package name
- re-enabled error statements while compiling

NOTE: the patch will not work unless bsd.java.mk itself get patched (the patch
is attached). Indeed, I discovered a new flaw in bsd.java.mk 2.0: JAVAC setting
is done according to JAVA_BUILD but JAVA_BUILD is actually set after JAVAC is
defined. The ChangeLog for bsd.java.mk is the following:

- Switched stage 6 and 7 so JAVAC is no longer empty when not using jikes
- added '-bootclasspath ${JAVA_CLASSES}' to the command-line for JAVAC when
  jikes is used as a substitute for javac.

NOTE2: When jikes is used explicitely (USE_JIKES=yes), the port has to handle
bootclasspath itself.

Generated with FreeBSD Port Tools 0.50
Comment 1 Yuri Khotyaintsev 2004-05-07 08:47:10 UTC
Herve Quiroz wrote:

> - added '-bootclasspath ${JAVA_CLASSES}' to the command-line for JAVAC when
>   jikes is used as a substitute for javac.

What is the reason for not putting this into bsd.java.mk?

If jikes is installed it will be used to compile a port. And then for a 
port not to fail it should ether set USE_JIKES=no or add -bootclasspath.

-- 

Yuri Khotyaintsev, PhD

Swedish Institute of Space Physics,  http://www.cluster.irfu.se/yuri 

Uppsala (IRF-U)                      http://ovt.irfu.se
Comment 2 Hervé Quiroz 2004-05-07 09:15:08 UTC
Yuri,


I'm not sure I get your point here...

On Fri, May 07, 2004 at 09:47:10AM +0200, Yuri Khotyaintsev wrote:
> Herve Quiroz wrote:
> 
> >- added '-bootclasspath ${JAVA_CLASSES}' to the command-line for JAVAC when
> >  jikes is used as a substitute for javac.
> 
> What is the reason for not putting this into bsd.java.mk?

Well actually I put it in bsd.java.mk. This statement is from the
ChangeLog for bsd.java.mk

> If jikes is installed it will be used to compile a port. And then for a 
> port not to fail it should ether set USE_JIKES=no or add -bootclasspath.

When nothing is asked by the port, jikes is used if present. This may
cause problems as jikes requires -bootclasspath to be set to the
location of the standard Java API classes. Provided this is not needed
when using the former javac command, and as porter won't know in advance
if jikes will be used or not (unless the port explicitely requires or
forbids its use by setting USE_JIKES), he won't be able to set
-bootclasspath accordingly.

That's why I had to add these arguments when "jikes is used
[transparently] as a substitute for javac"...

Is this what you were asking for or did I misunderstood you ?

Herve
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2004-05-18 02:44:17 UTC
State Changed
From-To: open->feedback

Ernst, Greg, have you had a chance to review the change to 
bsd.java.mk suggested herein?  Is this significant enough to 
need a full bento run once the change is committed?
Comment 4 Greg Lewis 2004-05-28 17:30:33 UTC
I've replied to Herve with one concern I have.  Otherwise the patch looks
good.  I'm just waiting for his response before committing.

-- 
Greg Lewis                          Email   : glewis@eyesbeyond.com
Eyes Beyond                         Web     : http://www.eyesbeyond.com
Information Technology              FreeBSD : glewis@FreeBSD.org
Comment 5 Greg Lewis freebsd_committer 2004-05-28 17:34:46 UTC
Responsible Changed
From-To: freebsd-java->glewis

I'll take this.
Comment 6 Greg Lewis freebsd_committer 2004-06-09 19:20:25 UTC
State Changed
From-To: feedback->closed

Committed, thanks!